#include <iostream>
using namespace std;

int main() {
    int n;
    unsigned int l;
    cin >> n >> l;

    bool prosao = true;
    for (int i = 0; i < n; i++) {
        unsigned int x;
        cin >> x;

        if (x <= l) {
            prosao = false;
            cout << i + 1 << endl;
            break;
        }
    }

    if (prosao)
        cout << -1 << endl;

    return 0;
}